org.apache.flume.source.taildir

## Class TaildirSourceConfigurationConstants

- java.lang.Object
- - org.apache.flume.source.taildir.TaildirSourceConfigurationConstants

-     public class TaildirSourceConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BATCH_SIZE` What size to batch with before sending to ChannelProcessor.
    `static String` | `BYTE_OFFSET_HEADER` Whether to add the byte offset of a tailed line to the header
    `static String` | `BYTE_OFFSET_HEADER_KEY`
    `static String` | `CACHE_PATTERN_MATCHING` Whether to cache the list of files matching the specified file patterns till parent directory is modified.
    `static int` | `DEFAULT_BATCH_SIZE`
    `static boolean` | `DEFAULT_BYTE_OFFSET_HEADER`
    `static boolean` | `DEFAULT_CACHE_PATTERN_MATCHING`
    `static boolean` | `DEFAULT_FILE_HEADER`
    `static String` | `DEFAULT_FILENAME_HEADER_KEY`
    `static int` | `DEFAULT_IDLE_TIMEOUT`
    `static String` | `DEFAULT_POSITION_FILE`
    `static boolean` | `DEFAULT_SKIP_TO_END`
    `static int` | `DEFAULT_WRITE_POS_INTERVAL`
    `static String` | `FILE_GROUPS` Mapping for tailing file groups.
    `static String` | `FILE_GROUPS_PREFIX`
    `static String` | `FILENAME_HEADER` Whether to include absolute path filename in a header.
    `static String` | `FILENAME_HEADER_KEY` Header in which to put absolute path filename.
    `static String` | `HEADERS_PREFIX` Mapping for putting headers to events grouped by file groups.
    `static String` | `IDLE_TIMEOUT` Time (ms) to close idle files.
    `static String` | `POSITION_FILE` Path of position file.
    `static String` | `SKIP_TO_END` Whether to skip the position to EOF in the case of files not written on the position file.
    `static String` | `WRITE_POS_INTERVAL` Interval time (ms) to write the last position of each file on the position file.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaildirSourceConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_GROUPS

          public static final String FILE_GROUPS

      Mapping for tailing file groups.
      See Also:
        Constant Field Values

    - #### FILE_GROUPS_PREFIX

          public static final String FILE_GROUPS_PREFIX

      See Also:
        Constant Field Values

    - #### HEADERS_PREFIX

          public static final String HEADERS_PREFIX

      Mapping for putting headers to events grouped by file groups.
      See Also:
        Constant Field Values

    - #### POSITION_FILE

          public static final String POSITION_FILE

      Path of position file.
      See Also:
        Constant Field Values

    - #### DEFAULT_POSITION_FILE

          public static final String DEFAULT_POSITION_FILE

      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      What size to batch with before sending to ChannelProcessor.
      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE

          public static final int DEFAULT_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### SKIP_TO_END

          public static final String SKIP_TO_END

      Whether to skip the position to EOF in the case of files not written on the position file.
      See Also:
        Constant Field Values

    - #### DEFAULT_SKIP_TO_END

          public static final boolean DEFAULT_SKIP_TO_END

      See Also:
        Constant Field Values

    - #### IDLE_TIMEOUT

          public static final String IDLE_TIMEOUT

      Time (ms) to close idle files.
      See Also:
        Constant Field Values

    - #### DEFAULT_IDLE_TIMEOUT

          public static final int DEFAULT_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### WRITE_POS_INTERVAL

          public static final String WRITE_POS_INTERVAL

      Interval time (ms) to write the last position of each file on the position file.
      See Also:
        Constant Field Values

    - #### DEFAULT_WRITE_POS_INTERVAL

          public static final int DEFAULT_WRITE_POS_INTERVAL

      See Also:
        Constant Field Values

    - #### BYTE_OFFSET_HEADER

          public static final String BYTE_OFFSET_HEADER

      Whether to add the byte offset of a tailed line to the header
      See Also:
        Constant Field Values

    - #### BYTE_OFFSET_HEADER_KEY

          public static final String BYTE_OFFSET_HEADER_KEY

      See Also:
        Constant Field Values

    - #### DEFAULT_BYTE_OFFSET_HEADER

          public static final boolean DEFAULT_BYTE_OFFSET_HEADER

      See Also:
        Constant Field Values

    - #### CACHE_PATTERN_MATCHING

          public static final String CACHE_PATTERN_MATCHING

      Whether to cache the list of files matching the specified file patterns till parent directory is modified.
      See Also:
        Constant Field Values

    - #### DEFAULT_CACHE_PATTERN_MATCHING

          public static final boolean DEFAULT_CACHE_PATTERN_MATCHING

      See Also:
        Constant Field Values

    - #### FILENAME_HEADER_KEY

          public static final String FILENAME_HEADER_KEY

      Header in which to put absolute path filename.
      See Also:
        Constant Field Values

    - #### DEFAULT_FILENAME_HEADER_KEY

          public static final String DEFAULT_FILENAME_HEADER_KEY

      See Also:
        Constant Field Values

    - #### FILENAME_HEADER

          public static final String FILENAME_HEADER

      Whether to include absolute path filename in a header.
      See Also:
        Constant Field Values

    - #### DEFAULT_FILE_HEADER

          public static final boolean DEFAULT_FILE_HEADER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaildirSourceConfigurationConstants

          public TaildirSourceConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.